Subject: bug#59062: esh-var-test/alias test failures on Ubuntu 22.10

From: Paul Eggert <[email-masked]>
Date: Sat, 5 Nov 2022 14:44:14 -0700

This is on Ubuntu 22.10 x86-64, with current Emacs master (commit 
8a49a888532c955ae81855636a65b446508cb361 dated today). "make check" 
fails in some of the esh-var-test/alias tests. Some esh expertise (which 
I don't have) would be of use in debugging this so I'm taking the 
liberty of cc'ing Jim.

I'm attaching a copy of the build log (created with ./autogen.sh; 
configure; make; make check) and of the test failure logged in 
test/lisp/eshell/esh-var-tests.log. The build log is the same as in 
Bug#59061.